%define name libgnomecups
%define version 0.2.3
%define release %mkrel 4

%define api_version 1.0
%define major 1
%define libname %mklibname gnomecups-%{api_version}_ %{major}
%define develname %mklibname gnomecups-%{api_version} -d

Summary: GNOME library for CUPS integration
Name: %{name}
Version: %{version}
Release: %{release}
License: LGPL
Group: System/Libraries
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch1:	20_parse-dot-cups-lpoptions.patch
Patch2:	21_fix-islocal.patch
Patch3:	22_ignore-ipp-not-found.patch
Patch4:	23_replace-set-printer-attrs.patch
Patch5:	25_browsed_ppds.patch
BuildRequires: cups-devel cups-common
BuildRequires: glib2-devel
BuildRequires: perl-XML-Parser
BuildRequires: dbus-glib-devel
BuildRequires: intltool
BuildRequires: gnome-common
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GNOME library for CUPS integration

%package -n %{libname}
Summary: GNOME library for CUPS integration
Group: System/Libraries
Requires: %{name} = %{version}-%{release}

%description -n %{libname}
GNOME library for CUPS integration

%package -n %{develname}
Summary: GNOME library for CUPS integration
Group: Development/GNOME and GTK+
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: %{name}-%{api_version}-devel = %{version}-%{release}
Obsoletes: %{mklibname gnomecups-%{api_version}_ 1 -d}

%description -n %{develname}
GNOME library for CUPS integration

%prep
%setup -q
%patch1 -p1 
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1


%build
autoreconf -fi
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{libname}
%postun -p /sbin/ldconfig -n %{libname}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog NEWS AUTHORS

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so


%changelog
* Tue May 05 2009 Texstar <texstar@gmail.com> 0.2.3-4pclos2009
- apply ubuntu patches

* Tue May 05 2009 Texstar <texstar@gmail.com> 0.2.3-3pclos2009
- to dbus or not to dbus that is the question
- disable dbus for now 

* Sat Mar 02 2009 Texstar <texstar@gmail.com> 0.2.3-2pclos2009
- apply patches

* Wed Oct 22 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 0.2.3-1pclos2007
- New version 0.2.3

* Wed Jul 09 2008 Texstar <texstar@gmail.com> 0.2.2-5pclos2007
- requires:	libgnutls26

* Sun Nov 05 2006 Texstar <texstar@houston.rr.com> 0.2.2-4pclos2007
- Build for PCLinuxOS 2007

